SWAPON(8)

NAME
swapon - specify additional device for paging and swapping

SYNOPSIS
swapon -a
swapon special_file ...

DESCRIPTION
Swapon is used to specify additional devices on which paging and swapping are to take place. The system begins by swapping and paging on only a single device so that only one disk is required at bootstrap time. Calls to swapon normally occur in the system multi-user initialization file /etc/rc making all swap devices available, so that the paging and swapping activity is interleaved across several devices.

Normally, the first form is used:

-a  All devices marked as ``sw'' swap devices in /etc/fstab are made available unless their ``noauto'' option is also set.

The second form gives individual block devices as given in the system swap configuration table. The call makes only this space available to the system for swap allocation.

SEE ALSO
swapon(2), fstab(5), init(8), rc(8)

FILES
/dev/[ru][pk]?b
    standard paging devices
/etc/fstab
    ascii filesystem description table

BUGS
There is no way to stop paging and swapping on a device. It is therefore not possible to make use of devices which may be dismounted during system operation.

HISTORY
The swapon command appeared in 4.0BSD.